summaryrefslogtreecommitdiffstats
path: root/audio/patchage
diff options
context:
space:
mode:
Diffstat (limited to 'audio/patchage')
-rw-r--r--audio/patchage/README6
-rw-r--r--audio/patchage/doinst.sh6
-rw-r--r--audio/patchage/patchage.SlackBuild90
-rw-r--r--audio/patchage/patchage.info14
-rw-r--r--audio/patchage/slack-desc6
5 files changed, 71 insertions, 51 deletions
diff --git a/audio/patchage/README b/audio/patchage/README
index cc90985b94..d6aeac5f89 100644
--- a/audio/patchage/README
+++ b/audio/patchage/README
@@ -1,4 +1,4 @@
-Patchage is a modular patch bay for audio and
-MIDI systems based on Jack and Alsa.
+Patchage is a modular patch bay for audio and MIDI systems based on Jack
+and/or Alsa.
-jack-audio-connection-kit is an optional build dependency.
+jack is an optional build dependency.
diff --git a/audio/patchage/doinst.sh b/audio/patchage/doinst.sh
index 5fb28930db..65c7e2eeb9 100644
--- a/audio/patchage/doinst.sh
+++ b/audio/patchage/doinst.sh
@@ -1,3 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/patchage/patchage.SlackBuild b/audio/patchage/patchage.SlackBuild
index 62c7086083..1b0ad06f3a 100644
--- a/audio/patchage/patchage.SlackBuild
+++ b/audio/patchage/patchage.SlackBuild
@@ -1,47 +1,54 @@
-#!/bin/sh
-#
-# Slackware build script for patchage
-#
-# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
+#!/bin/bash
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version, with the following exception:
-# the text of the GPL license may be omitted.
-
-# This program is distributed in the hope that it will be useful, but
-# without any warranty; without even the implied warranty of
-# merchantability or fitness for a particular purpose. Compiling,
-# interpreting, executing or merely reading the text of the program
-# may result in lapses of consciousness and/or very being, up to and
-# including the end of all existence and the Universe as we know it.
-# See the GNU General Public License for more details.
+# Slackware build script for patchage
-# You may have received a copy of the GNU General Public License along
-# with this program (most likely, a file named COPYING). If not, see
-# <http://www.gnu.org/licenses/>.
+# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
+# Copyright 2022 Johannes Schoepfer, Germany
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=patchage
-VERSION=${VERSION:-1.0.0}
+VERSION=${VERSION:-1.0.10}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,7 +61,7 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,15 +76,22 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-./waf configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION
-
-./waf
-./waf install --destdir=$PKG
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -86,7 +100,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -94,4 +108,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/patchage/patchage.info b/audio/patchage/patchage.info
index 56858e0b2c..84cada64a7 100644
--- a/audio/patchage/patchage.info
+++ b/audio/patchage/patchage.info
@@ -1,10 +1,10 @@
PRGNAM="patchage"
-VERSION="1.0.0"
-HOMEPAGE="http://drobilla.net/software/patchage/"
-DOWNLOAD="http://download.drobilla.net/patchage-1.0.0.tar.bz2"
-MD5SUM="d16a3fc045faff7fd70f3b4769b65698"
+VERSION="1.0.10"
+HOMEPAGE="https://drobilla.net/software/patchage.html"
+DOWNLOAD="https://download.drobilla.net/patchage-1.0.10.tar.xz"
+MD5SUM="cd686e3a4a01fce08f27096e080c720b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="ganv"
-MAINTAINER="Ryan P.C. McQuen"
-EMAIL="ryanpcmcquen@member.fsf.org"
+REQUIRES="fmt ganv"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/audio/patchage/slack-desc b/audio/patchage/slack-desc
index eaca81e662..1464c45055 100644
--- a/audio/patchage/slack-desc
+++ b/audio/patchage/slack-desc
@@ -11,9 +11,9 @@ patchage:
patchage: Patchage is a modular patch bay for audio and
patchage: MIDI systems based on Jack and Alsa.
patchage:
-patchage: You must have jack-audio-connection-kit
-patchage: installed before compiling to support it.
+patchage: https://drobilla.net/software/patchage.html
+patchage:
+patchage:
patchage:
-patchage: http://drobilla.net/software/patchage/
patchage:
patchage: